Bug 863900 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses on the file /home/mikhail/.cache/gdm/session.log.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:740a2733261327fbf044cd663de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 22:36 EDT by Mikhail
Modified: 2012-12-20 11:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:17:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-07 22:36 EDT, Mikhail
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-07 22:36 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-10-07 22:36:35 EDT
Additional info:
libreport version: 2.0.15
kernel:         3.6.0-3.fc18.i686.PAE

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses on the file /home/mikhail/.cache/gdm/session.log.
:
:*****  Plugin restorecon (93.9 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/mikhail/.cache/gdm/session.log default label should be xdm_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/mikhail/.cache/gdm/session.log
:
:*****  Plugin leaks (6.10 confidence) suggests  ******************************
:
:If you want to ignore totem-video-thumbnailer trying to append access the session.log file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/bin/totem-video-thumbnailer /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (1.43 confidence) suggests  ***************************
:
:If you believe that totem-video-thumbnailer should be allowed append access on the session.log file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:cache_home_t:s0
:Target Objects                /home/mikhail/.cache/gdm/session.log [ file ]
:Source                        totem-video-thu
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           libgsf-1.14.24-1.fc18.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-32.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-3.fc18.i686.PAE #1 SMP Wed
:                              Oct 3 13:50:24 UTC 2012 i686 i686
:Alert Count                   31
:First Seen                    2012-10-08 08:36:06 YEKT
:Last Seen                     2012-10-08 08:36:17 YEKT
:Local ID                      dfaf6110-d697-45c9-b03e-92b14877c52f
:
:Raw Audit Messages
:type=AVC msg=audit(1349663777.584:393): avc:  denied  { append } for  pid=2611 comm="gsf-office-thum" path="/home/mikhail/.cache/gdm/session.log" dev="sdb" ino=162792554 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cache_home_t:s0 tclass=file
:
:
:type=AVC msg=audit(1349663777.584:393): avc:  denied  { append } for  pid=2611 comm="gsf-office-thum" path="/home/mikhail/.cache/gdm/session.log" dev="sdb" ino=162792554 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cache_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1349663777.584:393): arch=i386 syscall=execve success=yes exit=0 a0=af22d7ed a1=af200d08 a2=bf86b94c a3=af200d08 items=0 ppid=1894 pid=2611 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gsf-office-thum exe=/usr/bin/gsf-office-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: totem-video-thu,thumb_t,cache_home_t,file,append
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t cache_home_t:file append;
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t cache_home_t:file append;
:
Comment 1 Mikhail 2012-10-07 22:36:38 EDT
Created attachment 623233 [details]
File: type
Comment 2 Mikhail 2012-10-07 22:36:40 EDT
Created attachment 623234 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-08 04:52:10 EDT
Fixed in selinux-policy-3.11.1-33.fc18.noarch

commit 4ebbec88a202f19989a1e1f1aa6fd3f846f29cca
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Oct 8 10:51:15 2012 +0200

    Allow gsf-office-thum to append .cache/gdm/session.lo
Comment 4 Fedora Update System 2012-10-11 05:04:45 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 5 Fedora Update System 2012-10-11 13:23:18 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:17:50 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.